Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::IRMatcher::IsUInt< A > Struct Template Reference

`#include <IRMatch.h>`

## Classes
struct | pattern_tag

## Public Member Functions
HALIDE_ALWAYS_INLINE void | make_folded_const (halide_scalar_value_t &val, halide_type_t &ty, MatcherState &state) const

## Public Attributes
A | a
uint8_t | bits
uint16_t | lanes

## Static Public Attributes
static constexpr uint32_t | binds = bindings<A>::mask
static constexpr IRNodeType | min_node_type = IRNodeType::UIntImm
static constexpr IRNodeType | max_node_type = IRNodeType::UIntImm
static constexpr bool | canonical = true
static constexpr bool | foldable = true

## Detailed Description

template<typename A>
struct Halide::Internal::IRMatcher::IsUInt< A >

Definition at line 2557 of file IRMatch.h.

## Member Function Documentation

## ◆ make_folded_const()

template<typename A >

HALIDE_ALWAYS_INLINE void Halide::Internal::IRMatcher::IsUInt< A >::make_folded_const | ( | halide_scalar_value_t & | val,
|  | halide_type_t & | ty,
|  | MatcherState & | state
| ) |  | const
| inline

Definition at line 2573 of file IRMatch.h.

References Halide::Internal::IRMatcher::IsUInt< A >::a, Halide::Internal::IRMatcher::IsUInt< A >::bits, Halide::Type::bits(), Halide::Internal::IRMatcher::cast(), halide_type_uint, Halide::Type::is_uint(), Halide::Internal::IRMatcher::IsUInt< A >::lanes, Halide::Type::lanes(), halide_scalar_value_t::u, and halide_scalar_value_t::u64.

## Member Data Documentation

## ◆ a

template<typename A >

A Halide::Internal::IRMatcher::IsUInt< A >::a

Definition at line 2559 of file IRMatch.h.

Referenced by Halide::Internal::IRMatcher::IsUInt< A >::make_folded_const(), and Halide::Internal::IRMatcher::operator<<().

## ◆ bits

template<typename A >

uint8_t Halide::Internal::IRMatcher::IsUInt< A >::bits

Definition at line 2560 of file IRMatch.h.

Referenced by Halide::Internal::IRMatcher::IsUInt< A >::make_folded_const(), and Halide::Internal::IRMatcher::operator<<().

## ◆ lanes

template<typename A >

uint16_t Halide::Internal::IRMatcher::IsUInt< A >::lanes

Definition at line 2561 of file IRMatch.h.

Referenced by Halide::Internal::IRMatcher::IsUInt< A >::make_folded_const(), and Halide::Internal::IRMatcher::operator<<().

## ◆ binds

template<typename A >

constexpr uint32_t Halide::Internal::IRMatcher::IsUInt< A >::binds = bindings<A>::mask
| static constexpr

Definition at line 2563 of file IRMatch.h.

## ◆ min_node_type

template<typename A >

constexpr IRNodeType Halide::Internal::IRMatcher::IsUInt< A >::min_node_type = IRNodeType::UIntImm
| static constexpr

Definition at line 2566 of file IRMatch.h.

## ◆ max_node_type

template<typename A >

constexpr IRNodeType Halide::Internal::IRMatcher::IsUInt< A >::max_node_type = IRNodeType::UIntImm
| static constexpr

Definition at line 2567 of file IRMatch.h.

## ◆ canonical

template<typename A >

constexpr bool Halide::Internal::IRMatcher::IsUInt< A >::canonical = true
| static constexpr

Definition at line 2568 of file IRMatch.h.

## ◆ foldable

template<typename A >

constexpr bool Halide::Internal::IRMatcher::IsUInt< A >::foldable = true
| static constexpr

Definition at line 2570 of file IRMatch.h.

The documentation for this struct was generated from the following file:

- src/IRMatch.h